# Keybinder

This provides Ruby [FFI][1] bindings for the Gtk [Keybinder-3.0][2] library.

RubyGems: https://rubygems.org/gems/keybinder
Github:   https://github.com/johnlane/keybinder

THIS VERSION IS A NON-FUNCTIONAL PLACEHOLDER!

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'keybinder'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install keybinder

Then

    require 'keybinder'

The `libkeybinder-3.0.so` library must be installed in the system's library
search path (typically in the `/usr/lib` directory). It is not included in
this package. See [its documentation][2].

## Tests

A very limited test is provided as `test_keybinder.rb`. To run the test:

    $ rake

## License

MIT License: see the `LICENSE.txt` file.

The `libkeybinder` library is licensed as described in its [COPYING][3] file.

## Contributing

1. Fork it ( https://github.com/johnlane/keybinder )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

[1]:https://github.com/ffi/ffi "Foreign Function Interface"
[2]:https://lazka.github.io/pgi-docs/#Keybinder-3.0
[3]:https://github.com/kupferlauncher/keybinder/blob/master/COPYING
